# Service Management V1 API - Class Google::Api::SystemParameter (v1.8.0)

1.8.0 (latest) 1.7.1 1.6.0 1.5.1 1.4.0 1.3.0 1.2.1 1.1.0 1.0.2 0.11.0 0.10.2 0.9.0 0.8.0 0.7.0 0.6.1 0.5.0 0.4.1 0.3.10 Reference documentation and code samples for the Service Management V1 API class Google::Api::SystemParameter.

Define a parameter's name and location. The parameter may be passed as either
an HTTP header or a URL query parameter, and if both are passed the behavior
is implementation-dependent.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #http_header

    def http_header() -> ::String

**Returns**

- (::String) --- Define the HTTP header name to use for the parameter. It is case insensitive.

### #http_header=

    def http_header=(value) -> ::String

**Parameter**

- **value** (::String) --- Define the HTTP header name to use for the parameter. It is case insensitive.
**Returns**

- (::String) --- Define the HTTP header name to use for the parameter. It is case insensitive.

### #name

    def name() -> ::String

**Returns**

- (::String) --- Define the name of the parameter, such as "api_key" . It is case sensitive.

### #name=

    def name=(value) -> ::String

**Parameter**

- **value** (::String) --- Define the name of the parameter, such as "api_key" . It is case sensitive.
**Returns**

- (::String) --- Define the name of the parameter, such as "api_key" . It is case sensitive.

### #url_query_parameter

    def url_query_parameter() -> ::String

**Returns**

- (::String) --- Define the URL query parameter name to use for the parameter. It is case sensitive.

### #url_query_parameter=

    def url_query_parameter=(value) -> ::String

**Parameter**

- **value** (::String) --- Define the URL query parameter name to use for the parameter. It is case sensitive.
**Returns**

- (::String) --- Define the URL query parameter name to use for the parameter. It is case sensitive.